
Foreman - Bug #33637

After creating new host group from help page, page doesn't redirect to main landing page.
Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Web Interface   

Target version:    

Difficulty: trivial Fixed in Releases: 3.0.2, 3.1.0

Triaged: No Found in Releases:  

Bugzilla link: 1966942 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8815

  

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1966942

Description of problem:

After creating new hostgroup, page doesn't redirect to main landing page.

This happens for only first created hostgroup (from welcome page), when there isn't another redirect_path stored in the session.

Related issues:

Copied from Foreman - Bug #33177: After creating new host group or Http proxy... Closed

Associated revisions

Revision 01e3c61f - 10/05/2021 09:03 PM - Tomer Brisker

Fixes #33637 - Correctly redirect hostgroup create page

When creating the first hostgroup from the welcome page, submit does not

redirect back to the hostgroups index page due to incorrect referer

being stored in the session `redirect_path` value. This is similar to

the fix in 03a6981cd, but for pages that use the `SetRedirectionPath`

concern to control their form redirections.

History

#1 - 10/05/2021 01:15 PM - Tomer Brisker

- Copied from Bug #33177: After creating new host group or Http proxy, page doesn't redirect to main landing page. added

#2 - 10/05/2021 01:21 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8815 added

#3 - 10/05/2021 09:01 PM - Ondřej Ezr

- Pull request deleted (https://github.com/theforeman/foreman/pull/8724)

#4 - 10/05/2021 09:03 PM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#5 - 10/05/2021 10:01 PM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|01e3c61fdb2d7fb5819ef0a8c130de81d7c460ed.

#6 - 10/06/2021 07:42 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8775 added
#7 - 10/06/2021 07:58 AM - Tomer Brisker

- Pull request deleted (https://github.com/theforeman/foreman/pull/8775)

#8 - 10/06/2021 11:40 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8775 added

#9 - 10/06/2021 11:58 AM - Tomer Brisker

- Pull request deleted (https://github.com/theforeman/foreman/pull/8775)

#10 - 11/18/2021 01:31 PM - Ondřej Ezr

- Fixed in Releases 3.0.2 added
